package com.kamco.cd.training.postgres.repository.train;

import com.kamco.cd.training.train.dto.ModelTrainMetricsDto.ModelMetricJsonDto;
import com.kamco.cd.training.train.dto.ModelTrainMetricsDto.ModelTestFileName;
import com.kamco.cd.training.train.dto.ModelTrainMetricsDto.ResponsePathDto;
import java.time.ZonedDateTime;
import java.util.List;

public interface ModelTestMetricsJobRepositoryCustom {

  void updateModelMetricsTrainSaveYn(Long modelId, String stepNo);

  List<ResponsePathDto> getTestMetricSaveNotYetModelIds();

  void insertModelMetricsTest(List<Object[]> batchArgs);

  ModelMetricJsonDto getTestMetricPackingInfo(Long modelId);

  ModelTestFileName findModelTestFileNames(Long modelId);

  void updatePackingStart(Long modelId, ZonedDateTime now);

  void updatePackingEnd(Long modelId, ZonedDateTime now, String failSuccState);
}
